  --[[

COMMENTS:
------------------------
19: DO THIS OPERATION ON ACTUAL PAPER TO GET A GRIP ON THIS


DESCRIPTIONS:
------------------------
19: Makes a 3d  table consisting of pixel r,g,b,a values in a table at every pixel location starting from (1,1). 
[getPixel(x,y) starts from (0,0) till (mapWidth-1,mapHeight-1), hence the '-1' appendices in pixel parameters.]



]]--
  

function loadMap()

  map = {}
  mapImageData = love.image.newImageData("map.png")
  mapHeight = mapImageData:getHeight()
  mapWidth = mapImageData:getWidth()
  
  for x = 1, mapWidth do
    map[x] = {}
    for y = 1, mapWidth do
      map[x][y] = {mapImageData:getPixel(x - 1, y - 1)}
      setmetatable(map[x][y], mtEqual)
    end
  end
 
end



function drawMap()
  
  for x = 1, mapHeight do
    for y = 1, mapWidth do
      if map[x][y] == color.black then
        love.graphics.print(color.black, 600, 150)
        love.graphics.draw(tiles[2], initialOffset + tileWidth*x, initialOffset + tileHeight*y)
      elseif map[x][y] == color.white then
        love.graphics.draw(tiles[1], initialOffset + tileWidth*x, initialOffset + tileHeight*y)
      elseif map[x][y] == color.green then
        love.graphics.draw(goal, initialOffset + tileWidth*x, initialOffset + tileHeight*y)
      elseif map[x][y] == color.red then
        love.graphics.draw(player, initialOffset + tileWidth*x, initialOffset + tileHeight*y)
      end
    end
  end
  
end
  